com.hazelcast.config

## Class MapStoreConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.MapStoreConfig
  - - com.hazelcast.config.MapStoreConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class MapStoreConfigReadOnly
      extends MapStoreConfig

  Contains the configuration for a Map Store (read-only).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hazelcast.config.MapStoreConfig

      `MapStoreConfig.InitialLoadMode`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.MapStoreConfig

      `DEFAULT_WRITE_BATCH_SIZE, DEFAULT_WRITE_COALESCING, DEFAULT_WRITE_DELAY_SECONDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapStoreConfigReadOnly(MapStoreConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MapStoreConfig` | `setClassName(String className)` Deprecated. Sets the name for the MapStore implementation class
    `MapStoreConfig` | `setEnabled(boolean enabled)` Deprecated. Enables and disables this configuration
    `MapStoreConfig` | `setFactoryClassName(String factoryClassName)` Deprecated. Sets the name for the MapStoreFactory implementation class
    `MapStoreConfig` | `setFactoryImplementation(Object factoryImplementation)` Deprecated. Sets the map store factory implementation object.
    `MapStoreConfig` | `setImplementation(Object implementation)` Deprecated. Sets the map store implementation object
    `MapStoreConfig` | `setInitialLoadMode(MapStoreConfig.InitialLoadMode initialLoadMode)` Deprecated. Sets the initial load mode.
    `MapStoreConfig` | `setProperties(Properties properties)` Deprecated. Sets the properties
    `MapStoreConfig` | `setProperty(String name, String value)` Deprecated.
    `MapStoreConfig` | `setWriteBatchSize(int writeBatchSize)` Deprecated. Sets the number of operations to be included in each batch processing round.
    `MapStoreConfig` | `setWriteCoalescing(boolean writeCoalescing)` Deprecated. Setting `MapStoreConfig.writeCoalescing` is meaningful if you are using write-behind `MapStore`.
    `MapStoreConfig` | `setWriteDelaySeconds(int writeDelaySeconds)` Deprecated. Sets the number of seconds to delay before writing (storing) the dirty records

    - ### Methods inherited from class com.hazelcast.config.MapStoreConfig

      `equals, getAsReadOnly, getClassName, getFactoryClassName, getFactoryId, getFactoryImplementation, getId, getImplementation, getInitialLoadMode, getProperties, getProperty, getWriteBatchSize, getWriteDelaySeconds, hashCode, isEnabled, isWriteCoalescing, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapStoreConfigReadOnly

          public MapStoreConfigReadOnly(MapStoreConfig config)

      Deprecated.

  - ### Method Detail

    - #### setClassName

          public MapStoreConfig setClassName(String className)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the name for the MapStore implementation class
      Overrides:
        `setClassName` in class `MapStoreConfig`
      Parameters:
        `className` - the name to set for the MapStore implementation class

    - #### setFactoryClassName

          public MapStoreConfig setFactoryClassName(String factoryClassName)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the name for the MapStoreFactory implementation class
      Overrides:
        `setFactoryClassName` in class `MapStoreConfig`
      Parameters:
        `factoryClassName` - the name to set for the MapStoreFactory implementation class

    - #### setWriteDelaySeconds

          public MapStoreConfig setWriteDelaySeconds(int writeDelaySeconds)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the number of seconds to delay before writing (storing) the dirty records

      Default value is 0.

      Overrides:
        `setWriteDelaySeconds` in class `MapStoreConfig`
      Parameters:
        `writeDelaySeconds` - the number of seconds to delay before writing the dirty records

    - #### setWriteBatchSize

          public MapStoreConfig setWriteBatchSize(int writeBatchSize)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the number of operations to be included in each batch processing round.

      Default value is 1.

      Overrides:
        `setWriteBatchSize` in class `MapStoreConfig`
      Parameters:
        `writeBatchSize` - the number of operations to be included in each batch processing round

    - #### setEnabled

          public MapStoreConfig setEnabled(boolean enabled)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Enables and disables this configuration
      Overrides:
        `setEnabled` in class `MapStoreConfig`
      Parameters:
        `enabled` - `true` to enables this configuration, `false` to disable

    - #### setImplementation

          public MapStoreConfig setImplementation(Object implementation)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the map store implementation object
      Overrides:
        `setImplementation` in class `MapStoreConfig`
      Parameters:
        `implementation` - the map store implementation object to set
      Returns:
        this MapStoreConfig instance

    - #### setInitialLoadMode

          public MapStoreConfig setInitialLoadMode(MapStoreConfig.InitialLoadMode initialLoadMode)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the initial load mode.
      - LAZY: Default load mode where load is async
      - EAGER: load mode where load is blocked till all partitions are loaded
      Overrides:
        `setInitialLoadMode` in class `MapStoreConfig`
      Parameters:
        `initialLoadMode` - the initial load mode object

    - #### setFactoryImplementation

          public MapStoreConfig setFactoryImplementation(Object factoryImplementation)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the map store factory implementation object.
      Overrides:
        `setFactoryImplementation` in class `MapStoreConfig`
      Parameters:
        `factoryImplementation` - the factory implementation object
      Returns:
        this MapStoreConfig instance

    - #### setProperty

          public MapStoreConfig setProperty(String name,
                                            String value)

      Deprecated.
      Overrides:
        `setProperty` in class `MapStoreConfig`

    - #### setProperties

          public MapStoreConfig setProperties(Properties properties)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Sets the properties
      Overrides:
        `setProperties` in class `MapStoreConfig`
      Parameters:
        `properties` - the properties to be set
      Returns:
        this MapStoreConfig

    - #### setWriteCoalescing

          public MapStoreConfig setWriteCoalescing(boolean writeCoalescing)

      Deprecated.
      Description copied from class: `MapStoreConfig`
      Setting `MapStoreConfig.writeCoalescing` is meaningful if you are using write-behind `MapStore`.

      When `MapStoreConfig.writeCoalescing` is `true`, only the latest store operation on a key in the `MapStoreConfig.writeDelaySeconds` time-window will be reflected to `MapStore`.

      Default value is true.

      Overrides:
        `setWriteCoalescing` in class `MapStoreConfig`
      Parameters:
        `writeCoalescing` - `true` to enable write-coalescing, `false` otherwise
      See Also:
        `GroupProperty.MAP_WRITE_BEHIND_QUEUE_CAPACITY`

Copyright © 2019. All rights reserved.